Bug 866396 - sssd autofs interface library packaging change
Summary: sssd autofs interface library packaging change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs
Version: 6.4
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: Rock Lee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-15 09:31 UTC by Ian Kent
Modified: 2013-03-04 00:32 UTC (History)
4 users (show)

Fixed In Version: autofs-5.0.5-62.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:53:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0462 normal SHIPPED_LIVE autofs bug fix and enhancement update 2013-02-20 21:07:21 UTC

Description Ian Kent 2012-10-15 09:31:45 UTC
Description of problem:

The latest RHEL-6 sssd version has the package that includes the autofs
interface library.

Cosequently autofs needs to update it's BuildRequires.

Comment 2 Ian Kent 2012-10-15 09:48:15 UTC
(In reply to comment #0)
> Description of problem:
> 
> The latest RHEL-6 sssd version has the package that includes the autofs
> interface library.
> 
> Cosequently autofs needs to update it's BuildRequires.

Umm ... that description doesn't make much sense.

The autofs sss interface library was present in the sssd package
and autofs used a specific version of sssd in it's BuildRequires.
But the library was also present in its own sss package,
libsss_autofs.

Now the library in sssd has been removed which requires the
BuildRequires in the autofs package change to libsss_autofs
instead of sssd.

Since the library was always present in this package changing
the BuildRequires should be backward compatible with earlier
RHEL-6 releases.

Comment 6 errata-xmlrpc 2013-02-21 10:53:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0462.html


Note You need to log in before you can comment on or make changes to this bug.